ReferenceProduct
Get one product's matrix for one warehouse
Returns one product's variant grid restricted to the stock held in `warehouseId`, which is required. Requires `Permissions.Product.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
productId*integerFormat
int32Default
0warehouseId?integerFormat
int32application/json- response
colorId?integerFormat
int32dimensionId?integerFormat
int32lengthId?integerFormat
int32productId?integerFormat
int32quantityBlocked?numberFormat
decimalquantityInStock?numberFormat
decimalsizeId?integerFormat
int32stockItemId?integerFormat
int32warehouseId?integerFormat
int32curl -X GET 'https://<your-instance>/api/products/0/warehouse-variants-availability-matrix' \ -H 'Authorization: Bearer <access-token>'{ "colorId": 0, "dimensionId": 0, "lengthId": 0, "productId": 0, "quantityBlocked": 0, "quantityInStock": 0, "sizeId": 0, "stockItemId": 0, "warehouseId": 0}